This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

List service accounts

1 - 1.4

get /v1/service-accounts

Description

List service accounts

State ACTIVE (CURRENT)

VersionNot Before
1.4-

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
Service Account Name
Example :
any of [string, null]None
queryservice
optional
Service Account’s Service
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKServiceAccountListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/service-accounts

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.4"

Example HTTP response

Response 200

{
    "service_accounts": [
        {
            "id": "",
            "name": "",
            "service": ""
        }
    ]
}

2 - 1.3

get /v1/service-accounts

Description

List service accounts

State ACTIVE (SUPPORTED)

VersionNot Before
1.320261130

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
Service Account Name
Example :
any of [string, null]None
queryservice
optional
Service Account’s Service
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKServiceAccountListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/service-accounts

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.3"

Example HTTP response

Response 200

{
    "service_accounts": [
        {
            "id": "",
            "name": "",
            "service": ""
        }
    ]
}

3 - 1.2

get /v1/service-accounts

Description

List service accounts

State ACTIVE (SUPPORTED)

VersionNot Before
1.220260930

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
Service Account Name
Example :
any of [string, null]None
queryservice
optional
Service Account’s Service
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKServiceAccountListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/service-accounts

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"

Example HTTP response

Response 200

{
    "service_accounts": [
        {
            "id": "",
            "name": "",
            "service": ""
        }
    ]
}

4 - 1.1

get /v1/service-accounts

Description

List service accounts

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
Service Account Name
Example :
any of [string, null]None
queryservice
optional
Service Account’s Service
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKServiceAccountListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/service-accounts

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"

Example HTTP response

Response 200

{
    "service_accounts": [
        {
            "id": "",
            "name": "",
            "service": ""
        }
    ]
}

5 - 1.0

get /v1/service-accounts

Description

List service accounts

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260223

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
Service Account Name
Example :
any of [string, null]None
queryservice
optional
Service Account’s Service
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKServiceAccountListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/service-accounts

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0"

Example HTTP response

Response 200

{
    "service_accounts": [
        {
            "id": "",
            "name": "",
            "service": ""
        }
    ]
}